//
// Fursin Program - Class CFPat for neural networks
//
// Initialization:
//

#if !defined(CFPAT_INCLUDED_)
#define CFPAT_INCLUDED_

class CFPat
{
private:
	char *pFullNameOfPat;
	char *pPat;
	char ch0, ch1;
	unsigned int Dx, Dy;
	
public:
	CFPat(char xch0, char xch1);
	~CFPat(void);
	int Load(char *NameOfPat);
	unsigned int DimX(void) {return Dx;}; //Get dimension X of pattern
	unsigned int DimY(void) {return Dy;}; //Get dimension Y of pattern
	char Get(unsigned long i) {return pPat[i];};
	int Create(unsigned int x, unsigned int y);
	int Save(char *NameOfPat);
	void Put(unsigned long i, char c) {pPat[i]=c;};
};
#endif
